<?xml version="1.0" encoding="UTF-8"?>
<SRControl>
    <PGEnable>false</PGEnable>
    <NeedPkgNameFromPG>true</NeedPkgNameFromPG>
    <MinimumTrainingIntervalMinutes>960</MinimumTrainingIntervalMinutes>
    <ChargeLevelThreshold>50</ChargeLevelThreshold>
    <IsSupportHistBSD>true</IsSupportHistBSD>
    <HistBsdBlackScenes>8</HistBsdBlackScenes>
    <HistBsdBlackScenes>21</HistBsdBlackScenes>
    <HistBsdBlackScenes>36</HistBsdBlackScenes>
    <HistBsdBlackPkgs>com.android.permissioncontroller</HistBsdBlackPkgs>
    <HistBsdBlackPkgs>com.hihonor.mirror</HistBsdBlackPkgs>
    <HistBsdBlackActivitys>com.bilibili.video.videodetail.VideoDetailsActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.sina.weibo.weiyou.chat.group.DMGroupChatActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.hihonor.gallery.app.SlotAlbumActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.tencent.mm.plugin.voip.ui.VideoActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.qzone.preview.QzonePictureViewer</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.youku.ui.activity.DetailActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.ss.android.ugc.detail.refactor.ui.TikTokActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.ss.android.ugc.detail.refactor.ui.NewTikTokDetailActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.tencent.mm.ui.chatting.gallery.ImageGalleryUI</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.tencent.mm.plugin.recordvideo.activity.MMRecordUI</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.android.permissioncontroller.permission.ui.GrantPermissionsActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.android.settings.fingerprint.FingerprintSettingsActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.android.settings.facechecker.unlock.FaceUnLockSettingsActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.xunmeng.pinduoduo.activity.NewPageActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.tencent.mobileqq.olympic.activity.ScanTorchActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.alipay.mobile.scan.as.main.MainCaptureActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.taobao.taobao.scancode.gateway.activity.ScancodeGatewayActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.etao.feimagesearch.integrate.ScanPaiActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.youku.saosao.activity.CaptureActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.lantern.scan.ui.CaptureActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.sina.weibo.qrcode.CaptureActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.yxcorp.plugin.qrcode.QRCodeScanActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.ss.android.ugc.aweme.qrcode.v2.ScanQRCodeActivityV2</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.ss.android.ugc.aweme.qrcode.view.ScanQRCodeActivityV2</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.jd.lib.scan.lib.zxing.client.android.CaptureActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.uc.module.barcode.CaptureActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.tencent.karaoke.module.qrcode.ui.ScanActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.ss.android.ugc.live.qrcode.MyCaptureActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.meituan.android.scan.NewArActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.meituan.android.scan.CustomCaptureActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.didi.sdk.scan.act.QrCodeScanActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.tencent.server.fore.StandardActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.mgtv.ui.login.CaptureActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.etao.feimagesearch.capture.CaptureActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.ss.android.ugc.aweme.qrcode.view.QRCodeScanActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.yxcorp.plugin.qrcode.api.QRCodeScanActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.unionpay.activity.payment.UPActivityScan</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.rytong.emp.zxing.activity.CaptureActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.ccb.scan.view.ScanMenuMainActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.icbc.activity.qrcode.QRCodeScanActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.boc.bocsoft.mobile.bocmobile.buss.paymentarea.common.PaymentAreaActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.pb.capture.ui.PBCaptureActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.bankcomm.lib.biz.qrcode.QRCodeActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>cn.com.cmbc.newmbank.qrcode.decode.activity.QrCodeCaptureActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.alipay.mobile.scan.as.tool.ToolsCaptureActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>de.rki.covpass.app.main.MainActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>it.ministerodellasalute.verificaC19.ui.main.MainActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.gamma.barcodeapp.ui.BarcodeCaptureActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.hihonor.android.clone.activity.sender.ScanQrCodeActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.hihonor.southbound.line.view.activity.DeviceSearchQrCodeActivity</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.taobao.ma.ui.ScanActivity2</HistBsdBlackActivitys>
    <HistBsdBlackActivitys>com.hellobike.platform.scan.v2.NewPlatformScanActivity</HistBsdBlackActivitys>
</SRControl>
